#include <iostream>
#include <iomanip>
#include <algorithm>
#include <functional>
#include <cmath>
#include <vector>
#include <cstring>
#include <string>
#include <map>
#include <set>

using namespace std;
using ll = long long;
using pii = pair <int, int> ;
#define rep(n) for (int rep_i = 0; rep_i < n; rep_i++)
#define all(v) v.begin(), v.end()

ll a, b, n, m, k;
string s;

int main() {
	cin.tie(); cout.tie();
	cin >> m >> n;
	map <int, vector<int> > events;
	rep(n) {
		cin >> a >> b;
		if (b == 1) {
			events[a + m].push_back(1);
			events[a].push_back(2);
		}
		else 
			events[a].push_back(0);
	}
	ll airp = 0, airr = 0, ans1 = 0, ans2 = 0; //airp - podgotovka, airr - ready
	for (auto el : events) {
		a = el.first;
		vector <int> g = el.second;
		sort(all(g));
		for (auto ele : g) {
			if (ele == 0) {
				if (airr > 0)
					airr--;
				else
					ans2++;
			}
			else if (ele == 2) {
				if (airp + airr < 2)
					airp++;
				else
					ans1++;
			}
			else {
				if (airp > 0) {
					airp--;
					airr++;
				}
			}
		}
	}
	cout << ans1 << endl;
	cout << ans2 << endl;
	return 0;
}